Skip to main content
GET
/
v1
/
links
/
{link_id}
Retrieve a link
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "id": "48427a36d43c4d5aa6324bc06c692456",
  "access_token": "****************************7610",
  "created_at": "2022-06-07T15:00:00.000Z",
  "updated_at": "2022-06-30T15:00:00.000Z",
  "deleted_at": "2022-06-30T15:00:00.000Z",
  "tracking_info": "user123456",
  "status": "new",
  "user_external_id": "user123456",
  "provider_id": "adp",
  "provider": {
    "id": "adp",
    "name": "ADP",
    "logo_url": "<string>"
  },
  "company_mapping": {
    "id": "meta",
    "name": "Meta",
    "logo_url": "<string>"
  },
  "link_hash": "bc917458a3da4b2c8cc8282aa1707aaa",
  "allowed_products": [
    "income"
  ],
  "initial_product_type": "income",
  "data_source": "payroll",
  "is_suspicious": true,
  "is_dds_available": true
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Response

Link's properties

id
string

Link ID

Example:

"48427a36d43c4d5aa6324bc06c692456"

access_token
string
read-only

Access token for data refresh. Returns masked value (e.g., ****************************7610) unless filtered by user_id, in which case the full token is returned.

Example:

"****************************7610"

created_at
string

Link creation timestamp (ISO 8601)

Example:

"2022-06-07T15:00:00.000Z"

updated_at
string

Link last update timestamp (ISO 8601)

Example:

"2022-06-30T15:00:00.000Z"

deleted_at
string | null

Link removal timestamp (ISO 8601)

Example:

"2022-06-30T15:00:00.000Z"

tracking_info
string | null

Optional tracking information provided by a partner

Example:

"user123456"

status
string

Status of the last Task

Example:

"new"

user_external_id
string | null

User external ID is information provided by a partner

Example:

"user123456"

provider_id
string

Data provider ID

Example:

"adp"

provider
object
company_mapping
object

Unique hash for the user credentials used to create the link

Example:

"bc917458a3da4b2c8cc8282aa1707aaa"

allowed_products
enum<string>[]

List of all allowed products for this connection

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets,
admin
initial_product_type
enum<string> | null

Initial product type

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets,
admin,
null
Example:

"income"

data_source
enum<string>

Source of data: payroll - payroll provider parsing, docs - user uploaded documents, insurance - insurance data, financial_accounts - bank data, tax - tax documents, scoring_attributes - transactions scoring attributes report.

Available options:
payroll,
docs,
insurance,
financial_accounts,
tax,
scoring_attributes
Example:

"payroll"

is_suspicious
boolean

Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data

is_dds_available
boolean | null

This flag indicates if connected account supports deposit switching functionality. null - unknown, True - yes, False - No